//+------------------------------------------------------------------+
//|                                                  BB Compress.mq4 |
//|                    Copyright  2008, Cronex implementation only. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, Cronex implementation only."
#property link      "http://www.metaquotes.net/"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Red
//---- indicator parameters
extern int     BandsPeriod=20;
extern int     BandsDeviations=2;
extern int     BandsShift=0;
//---- indicator buffers
double BBCompressBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators setting
   SetIndexBuffer(0,BBCompressBuffer);
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
//---- name for DataWindow and indicator subwindow label
   SetIndexLabel(0,"BB Compress");
//   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
   IndicatorShortName("BB Compress");  
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int start()
  { double BBUp,BBDn,BBMn;
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
      {
        BBMn=iBands(NULL,0,BandsPeriod,BandsDeviations,BandsShift,PRICE_CLOSE,MODE_MAIN,i);
        BBUp=iBands(NULL,0,BandsPeriod,BandsDeviations,BandsShift,PRICE_CLOSE,MODE_UPPER,i);
        BBDn=iBands(NULL,0,BandsPeriod,BandsDeviations,BandsShift,PRICE_CLOSE,MODE_LOWER,i);
        BBCompressBuffer[i]=(BBUp-BBDn)/BBMn;
      }
   return(0);
  }
//+------------------------------------------------------------------+

